Name:           lpsk31
Version:        1.1
Release:        20%{?dist}
Summary:        A ncurses application for ham radio communications using PSK31 digital mode

Group:          Applications/Communications
License:        GPLv2+
URL:            http://5b4az.chronos.org.uk/pages/digital.html
Source0:        http://5b4az.chronos.org.uk/pkg/psk31/lpsk31/%{name}-%{version}.tar.gz
Source1:        lpsk31-1.1-wrapper.in
Patch0:         lpsk31-1.1-makefile.patch

BuildRequires:  gcc
BuildRequires:  ncurses-devel
#Requires:       

%description
lpsk31 is a ncurses console application for ham radio communications in the 
popular PSK31 digital mode. lpsk31 uses only integer arithmetic for both signal 
detection and audio tone synthesis, so that it needs no floating point 
calculations for its operation. lpsk31 can keep a log of QSO's in text and ADIF 
format as well as a raw log of all that is typed in the transmit window or 
displayed in the receive window. 

%prep
%setup -q -n %{name}
%patch0 -p1

%build
make CC="gcc $RPM_OPT_FLAGS" %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
#manual install

#install binary too libexec for use in wrapper script
install lpsk31 -D -p $RPM_BUILD_ROOT%{_libexecdir}/lpsk31-bin

#install wrapper script
install -m 0755 -D -p %{SOURCE1} $RPM_BUILD_ROOT%{_bindir}/lpsk31

#include sample user configuration
install -D -p -m 0644 default/lpsk31rc $RPM_BUILD_ROOT%{_datadir}/%{name}/lpsk31rc


%files
#doesn't contain a copy of GPLv2 License, queried upstream
%defattr(-,root,root,-)
%doc AUTHORS README doc/*
%{_bindir}/*
%{_datadir}/%{name}
%{_libexecdir}/*

%changelog
* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.1-20
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Thu Feb 08 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.1-19
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.1-18
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.1-17
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.1-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.1-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Dec 11 2008 Sindre Pedersen Bjørdal <sindrepb@fedoraproject.org> - 1.1-4
- Add wrapper script to ensure user configuration is present, #474835
- Install sample user configuration

* Sat Mar 01 2008 Robert 'Bob' Jensen <bob@bobjensen.com> 1.1-1
- Initial SPEC

